<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="./includes/standard.xsl"/>

	<xsl:template match="/">
		<!-- header -->
		<xsl:call-template name="limitStr">
			<xsl:with-param name="s">
				<xsl:text>Re. </xsl:text>
				<xsl:value-of select="/data/RaceInfo/RaceInfo/Offer_RaceNumber"/>
				<xsl:text> </xsl:text>
				<xsl:value-of select="/data/RaceInfo/RaceInfo/Offer_ShortLabel"/>
				<xsl:text> </xsl:text>
				<xsl:value-of select="concat(/data/CompInfo/CompInfo/Comp_RoundCode, /data/CompInfo/CompInfo/Comp_Label)"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="linebreak"/>
		<!-- separator -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="fill" select="string('-')"/>
		</xsl:call-template>
		<xsl:call-template name="linebreak"/>
		<!-- body -->
		<xsl:for-each select="/data/Results/Result[SplitNr = 64]">
			<xsl:sort select="number(Rank)"/>
			<xsl:sort select="number(SortOrder)"/>

			<xsl:variable name="ceid" select="CE_ID_FK"/>
			<xsl:variable name="eid" select="/data/Lanes/Lane[CE_ID = $ceid]/CE_Entry_ID_FK"/>
			<xsl:variable name="entry" select="/data/Entries/Entrie[Entry_ID = $eid]" />

			<xsl:variable name="s">
				<xsl:call-template name="limitStr">
					<xsl:with-param name="s">
						<xsl:value-of select="Rank"/>
						<xsl:text> </xsl:text>
						<xsl:call-template name="lpad">
							<xsl:with-param name="s" select="$entry/Entry_Bib"/>
							<xsl:with-param name="n" select="number('2')"/>
						</xsl:call-template>
						<xsl:text> </xsl:text>
						<xsl:apply-templates select="$entry" mode="GetLabel">
							<xsl:with-param name="round" select="/data/CompInfo/CompInfo/Comp_Round"/>
							<xsl:with-param name="short" select="true()"/>
						</xsl:apply-templates>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:variable>

			<xsl:variable name="r">
				<xsl:apply-templates select="DisplayValue" mode="friendly"/>
			</xsl:variable>

			<xsl:value-of select="concat(substring($s, 1, $max_length - string-length($r) - 1), ' ', $r)"/>
			<xsl:call-template name="linebreak"/>
		</xsl:for-each>
		<!-- fill (lazy version) -->
		<xsl:if test="count(/data/Results/Result[SplitNr = 64]) + 2 &lt; 8"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(/data/Results/Result[SplitNr = 64]) + 2 &lt; 7"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(/data/Results/Result[SplitNr = 64]) + 2 &lt; 6"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(/data/Results/Result[SplitNr = 64]) + 2 &lt; 5"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(/data/Results/Result[SplitNr = 64]) + 2 &lt; 4"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(/data/Results/Result[SplitNr = 64]) + 2 &lt; 3"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(/data/Results/Result[SplitNr = 64]) + 2 &lt; 2"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(/data/Results/Result[SplitNr = 64]) + 2 &lt; 1"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
	</xsl:template>

</xsl:stylesheet>
