<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="./includes/standard.xsl"/>

	<xsl:template match="/">
		<!-- header -->
		<xsl:call-template name="limitStr">
			<xsl:with-param name="s">
				<xsl:text>Re. </xsl:text>
				<xsl:value-of select="/data/RaceInfo/RaceInfo/Offer_RaceNumber"/>
				<xsl:text> - </xsl:text>
				<xsl:value-of select="normalize-space(concat(/data/RaceInfo/RaceInfo/Offer_ShortLabel, ' ',  /data/RaceInfo/RaceInfo/Offer_Comment))"/>
				<xsl:text> </xsl:text>
				<xsl:apply-templates select="/data/CompInfo/CompInfo" mode="GetLongCompCaption"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="linebreak"/>
		<!-- separator -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="fill" select="'-'"/>
		</xsl:call-template>
		<xsl:call-template name="linebreak"/>
		<!-- body -->
		<xsl:for-each select="/data/Lanes/Lane">
			<xsl:variable name="entry" select="/data/Entries/Entrie[Entry_ID = current()/CE_Entry_ID_FK]"/>

			<xsl:call-template name="limitStr">
				<xsl:with-param name="s">
					<xsl:value-of select="CE_Lane"/>
					<xsl:text> </xsl:text>
					<xsl:call-template name="lpad">
						<xsl:with-param name="s" select="$entry/Entry_Bib"/>
						<xsl:with-param name="n" select="number('2')"/>
					</xsl:call-template>
					<xsl:text> </xsl:text>
					<xsl:apply-templates select="$entry" mode="GetLabel">
						<xsl:with-param name="round" select="/data/CompInfo/CompInfo/Comp_Round"/>
						<xsl:with-param name="short" select="true()"/>
					</xsl:apply-templates>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="linebreak"/>
		</xsl:for-each>
		<!-- fill (lazy version) -->
		<xsl:if test="count(data/Lanes/Lane) + 2 &lt; 8"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(data/Lanes/Lane) + 2 &lt; 7"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(data/Lanes/Lane) + 2 &lt; 6"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(data/Lanes/Lane) + 2 &lt; 5"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(data/Lanes/Lane) + 2 &lt; 4"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(data/Lanes/Lane) + 2 &lt; 3"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(data/Lanes/Lane) + 2 &lt; 2"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
		<xsl:if test="count(data/Lanes/Lane) + 2 &lt; 1"><xsl:call-template name="limitStr"/><xsl:call-template name="linebreak"/></xsl:if>
	</xsl:template>

</xsl:stylesheet>
