<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:output method="text" encoding="iso-8859-1"/>

	<xsl:include href="../../../../../../Reporting/xsl/inc/rowing_tools.xsl"/>

	<xsl:variable name="max_length" select="number('30')"/>

	<xsl:template name="linebreak">
		<xsl:text>&#13;</xsl:text>
	</xsl:template>

	<xsl:template name="lpad">
		<xsl:param name="s" select="''"/>
		<xsl:param name="n" select="$max_length"/>
		<xsl:param name="fill" select="' '"/>

		<xsl:choose>
			<xsl:when test="string-length($s) &lt; $n">
				<xsl:call-template name="lpad">
					<xsl:with-param name="s" select="concat($fill, $s)"/>
					<xsl:with-param name="n" select="$n"/>
					<xsl:with-param name="fill" select="$fill"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$s"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="limitStr">
		<xsl:param name="s"/>

		<xsl:choose>
			<xsl:when test="string-length($s) &gt; $max_length">
				<xsl:value-of select="substring($s, 1, $max_length)"/>
			</xsl:when>
			<xsl:when test="string-length($s) &lt; $max_length">
				<xsl:call-template name="limitStr">
					<xsl:with-param name="s" select="concat($s, ' ')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$s"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
